﻿param(
    [string]$uri = "www.google.co.cr", 
    [int]$timeout = 1
)

try
{
    $Time = (Measure-Command {Invoke-WebRequest -Uri $uri -UseBasicParsing -TimeoutSec $timeout})
    $Response = (Invoke-WebRequest -Uri $uri -UseBasicParsing -TimeoutSec $timeout)
}
catch
{ Write-Host "99:Connection Timeout"; exit 2; }

Write-Host ([string]::Format("{0}:Page responded with Response Code {1}",$Time.Milliseconds,[int]$Response.StatusCode)); exit 0 